LINUX.ORG.RU

Выпуск Debian 10 «Buster»

 , ,


5

4

Участники сообщества Debian рады сообщить о выходе очередного стабильного выпуска операционной системы Debian 10 кодовое имя buster.

Данный релиз включает в себя более 57703 пакетов, собранных для следующих процессорных архитектур:

  • 32-битный ПК (i386) и 64-битный ПК (amd64)
  • 64-битный ARM (arm64)
  • ARM EABI (armel)
  • ARMv7 (EABI hard-float ABI, armhf)
  • MIPS (mips (с порядком байтов от старшего к младшему) и mipsel (с порядком байтов от младшего к старшему))
  • 64-битный MIPS с порядком байтов от младшего к старшему (mips64el)
  • 64-битный PowerPC с порядком байтов от младшего к старшему (ppc64el)
  • IBM System z (s390x)

По сравнению с Debian 9 stretch в Debian 10 buster добавлено 13370 новых пакетов, обновлено более 35532 пакетов (что составляет 62% дистрибутива stretch). Также, по различным причинам многие пакеты (более 7278, 13% дистрибутива stretch) были удалены из дистрибутива.

Debian 10 buster поставляется с различными окружениями рабочего стола, такими как GNOME 3.30, KDE Plasma 5.14, LXDE 10, LXQt 0.14, MATE 1.20, и Xfce 4.12. Также в репозитории имеются Cinnamon 3.8, Deepin DE 3.0, различные оконные менеджеры.



Огромное внимание при подготовке данного выпуска было уделено повышению безопасности дистрибутива:

  • В установщик Debian добавлена поддержка загрузки при помощи UEFI Secure Boot.
  • При создании зашифрованных разделов теперь используется формат LUKS2
  • Для новых установок Debian 10 по-умолчанию включена поддержка системы разграничения доступа приложений AppArmor. При установке будут загружены профили AppArmor только для очень ограниченного числа приложений, для добавления дополнительных профилей рекомендуется установить пакет apparmor-profiles-extra
  • В пакетном менеджере apt добавлена опциональная возможность использования изоляции устанавливаемых приложений при помощи механизма seccomp-BPF.


Немало в выпуске и иных изменений, связанных с поддержкой новых возможностей программного и аппаратного обеспечения:

  • Ядро Linux обновлено до версии 4.19.
  • Система управление межсетевым экраном netfilter изменена с Iptables на Nftables. При этом для желающих сохранена возможность использования Iptables с помощью iptables-legacy .
  • В связи с обновлением пакетов CUPS до версии 2.2.10 и cups-filters до версии 1.21.6 в Debian 10 buster теперь поддерживается печать без установки драйверов для современных IPP принтеров.
  • Базовая поддержка систем на основе SOC Allwinner A64.
  • При стандартной установке окружения рабочего стола Gnome по умолчанию задействован сеанс на основе прокола Wayland. При этом сохранена поддержка сеанса на основе X11.
  • Командой Debian-live созданы новые живые образы Debian на основе окружения рабочего стола LXQt. Также во все живые образы Debian добавлен универсальный установщик Calamares.

Изменения произошли и в установщике Debian. Так, претерпел изменения синтаксис файлов автоматизированной установки с помощью ответов, произведен перевод на 76 языков, в том числе полностью на 39 языков.

Как всегда Debian полностью поддерживает обновление с предыдущего стабильного релиза с помощью штатного пакетного менеджера apt.

Полная поддержка выпуска Debian 10 buster будет осуществляться на протяжении всего периода до выхода следующего стабильного выпуска плюс один год. Debian 9 stretch переведен в статус предыдущего стабильного релиза и будет поддерживаться командой безопасности Debian до 6 июля 2020 года, после чего будет передан команде LTS для дальнейшей ограниченной поддержки в рамках Debian LTS.

>>> Подробности

У них там до сих пор systemD? Тогда не надо.

gtk3 ()
Ответ на: комментарий от gtk3

А что, все название выучить не можешь, приходится избегать?

Deleted ()
Ответ на: комментарий от anonymous

Вообще-то в Debian намного больше ПО, чем в базовых репозиториях RHEL.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Lorovec

я сделал su, затем /usr/sbin/synaptic - он запустился. Debian Sid.

buratino ★★★★★ ()
Ответ на: комментарий от buratino

Debian Sid.

Значит переписали. Ждём год-два.

# synaptic
Unable to init server: Не удалось подключиться к: В соединении отказано
Failed to initialize GTK.

Probably you're running Synaptic on Wayland with root permission.
Please restart your session without Wayland, or run Synaptic without root permission

Lorovec ()

Хм... А почему PHP на нем сразу протухший, 7.0? Ведь уже не поддерживается. Или я чего не понимаю? Не, конечно, можно самому поставить версию по новее из сторонних репозиториев, но ведь это не то. :(

anonymous ()

Мне в общем-то из Synaptic нужен только быстрый фильтр, а ставить можно и в консольке. Как начинающему ламеру-програмисту иногда нужно поискать библиотеку без которой что-то не собирается и вот в синаптике удобно её искать. Ну и смотреть зависимости тоже. Вот например gnome-mpv тянет некоторое Qt. Удивительно. Я не тулкитофоб, просто заметил, когда ставил.

Lorovec ()
Ответ на: комментарий от Lorovec

Наверное я куда то не там смотрел тогда. Спасибо.

anonymous ()

GNOME 3.30

А если надо посвежее, надо васянорепу искать?

xDShot ★★★★★ ()

Вот почему в Debian нету нормальной поддержки Optimus? Почему используется только bumblebee, вот почему не использовать пакет nvidia-prime как у убунту или suse-prime как в opensuse или optimus-manager в Manjaro. Чтобы легко переключаться между видеокартами. Не готов для лэптопа!

fallout4all ★★★★★ ()
Ответ на: комментарий от Lorovec

autoconf гуишникам не нужен. По-хорошему бы впихнуть все инструменты для сборки в одну группу пакетов или в мета-пакет.

xDShot ★★★★★ ()

Ждём обнову Gemian на базе Buster (желательно ещё с новым ядром, а то 3.18 уже как-то тоже не комильфо).

А на x86_64, увы, всё это бесполезно.

rebforce ()
Ответ на: комментарий от anonymous

Каждая новая версия всё лучше и лучше, чего бы там хейтеры не ныли. Сразу после 3.32 возвращаться к 3.30 вот уже не хочется например. И из-за любви мейнтейнеров к поломке API расширения приходится частично переписывать, ломая совместимость со старыми выпусками.

xDShot ★★★★★ ()
Ответ на: комментарий от anonymous

НАДО? зачем?

И вот это прям в их духе - навязывание только определенного набора ПО, с долбанутыми правилами и принципами мейнтейнинга, а также пакеты с кривыми долбанутыми ненужными патчами. И из-за этого юзеры блюют и страдают. Юзер с нвидией выше подтверждает. И чем дебиановцы лучше какого-нибудь Патрега? Намного более жирной инфраструктурой разве что.

xDShot ★★★★★ ()

От того, как оперативно подготовят новый выпуск Devuan будет зависеть то, насколько этот дистрибутив жив. отсчёт пошёл...

Alexanderuser ()
Ответ на: комментарий от Lorovec

Решения вроде как пока нет так как нужно очень много переписывать. Но к выходу Bullseye могут и решить. В Buster же будет именно так.

Polugnom ★★★★★ ()

Главный дистрибутив теперь опять. Убунта-то катится непойми куда, а с точки зрения новизны пакетов уже нет такой разницы. Что же касается Федоры, то там глюкодром ещё тот. И к тому же АстраЛинукс, который пропихивают в бюджетные конторы, есть официальная и бинарно совместимая производная от Дебиана (пока только от 9, но будем надеяться).

Vudod ★★★★★ ()

Время бяхит. В 2010-м впервые поставил сие поделие на пару компов в конторе, сэкономив две лицензии семёрочки (к слову, на семёрочке так и сижу, хе-хе).

rechnick ()
Ответ на: комментарий от rechnick

Ну так семрочка превратилась в неподдерживаемое поделие, а Дебиан жив. Конечно, старые игрушки по-прежнему идут под win7, а под Линуксом и новые — не все. Но со многими программами дл работы не всё так однозначно.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

Неподдерживаемое кем? Программы, игры — ставятся. Заплатки от ms? Так я их никогда не ставлю, нафига оно.

rechnick ()

07.07.2019

Ядро Linux обновлено до версии 4.19

Закопать

alexferman ★★ ()
Ответ на: комментарий от Lorovec

Хз, он же давно гтк3, а гтк3 давно с поддержкой вайланда. А что там за косяки с работой от рута могут быть я хз.

Но вообще гном двигает свою собственную надстройку над пакетным менеджером, может решили всех прочих закопать.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от rechnick

Ну попробуйте поставить семёрочку на новый ноут HP (и не только), хотя бы даже 2017-го года производства, драйверов ни на что нет. Только вынь10.

Vudod ★★★★★ ()
Ответ на: комментарий от Deleted

Это самый логичный выбор установочного образа. Для всего остального есть лайв-дистрибутивы.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от Vudod

Ну да, такое началось ещё со времён восьмёрочки. Драйверов на ноуты не было.

rechnick ()
Ответ на: комментарий от Vudod

Ага, тебе семерочка еще будет постоянно спамить о том, что у тебя слишком новый процессор и она его не поддерживает.

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

У меня просто не установилась. Хотел на новый ноут без системы поставить корпоративную лицензию.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

поставить семёрочку на новый ноут

Да что там ноуты, десктопные Ryzen APU строго под десяточку.

gremlin_the_red ()
Ответ на: комментарий от alexferman

Debian использует longterm ядро, поэтому выбор 4.19 нормальная практика.

anonymous ()

На скриншоте дефолт? Не верю.

bread ()
Ответ на: комментарий от meliafaro

Однако находятся те кто используют его в качестве десктопа

fallout4all ★★★★★ ()
Ответ на: комментарий от Vudod

Зачем тебе Ш7, когда там нет поддержки современных ЦПУ?

Тебе уже маркетологи сказали, что технически - очень больша я разница.

anonymous ()

Данный релиз включает в себя более 57703 пакетов

Как сделать много пакетов? Да легко. Просто бьем каждый на части: package-common, package-doc, package-dev, package-cli.

qtm ()
Ответ на: комментарий от qtm

Пакетов с исходным кодом в buster использовано 28939, что тоже очень много.

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

Вводите в заблуждение. Можно даже подумать, что линукс-десктопом можно из коробки пользоваться.

bread ()
Ответ на: комментарий от bread

Так это почти изкаробки. Только тема значков другая, при чем из репозитория.

Polugnom ★★★★★ ()
Последнее исправление: Polugnom (всего исправлений: 1)

из тестинга только либкурл4 обновился))

darkenshvein ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.